# PLANNING PROCESS

*This section describes the hardware planning process used to control the development of the hardware item. This process produces the hardware plans, which may be contained in one or more documents. If multiple documents are used, the main plan should contain appropriate references to the supporting documents. Standard documents covering specific hardware design life cycle processes, such as configuration management or process assurance, are acceptable provided they meet the planning objectives for the applicable process.*

| Data Required for the Hardware Planning Review                                            |
|:------------------------------------------------------------------------------------------|
| Plan for Hardware Aspects of Certification                                                |
| Hardware Design Plan                                                                      |
| Hardware Validation Plan                                                                  |
| Hardware Verification Plan                                                                |
| Hardware Configuration Management Plan                                                    |
| Hardware Process Assurance Plan                                                           |
| Hardware Process Assurance Records                           |                            |
| Hardware Requirements, Design, HDL Code, Validation & Verification, and Archive Standards |
| Tool Qualification Plans                                                                  |
| Supplier Management Plan                                                                  |
:Data Required for the Hardware Planning Review

.. ....... ........ ........ ....... .. ........... ...... .... .. ...... ..... .. ..... .... ........ ... ...... . ... .... .. ......... ........... .... .... ........ .. .... . ..... ....... .... ... ........ .... ............ .. ... ... ....... .. ...... .... ... .... ....... .. ..... ... .... ....... ... ....... ......... ..... .......... ....... ..... ....... ... ....... ... ....... ..... ..... .... . ........ .. ... ..... ......... .. ........ ..... ....... .......... .......... ... ........ .. ... ..... .. ........ ..... .......... .... ... ...... .. .....

## Planning Process Objectives

*The purpose of the hardware planning process is to define the means by which the functional and airworthiness requirements are converted into a hardware item with an acceptable amount of evidence of assurance that the item will safely perform its intended functions.*

## Planning Process Activities
